# .GitLab-CI.yml keyword reference: https://docs.gitlab.com/ee/ci/yaml/
# image to run .NET-core builds and applications:
# image: mcr.microsoft.com/dotnet/core/sdk:3.1
image: mcr.microsoft.com/dotnet/core/sdk:3.1

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - dotnet restore
    - dotnet build -c Release
  artifacts:
    paths:
      - ./**/dotnetcore-sample.dll

test:
  stage: test
  script:
    - dotnet test -c Release

deploy:
  stage: deploy
  environment:
    name: production
  script:
    - dotnet publish -c Release -o /app
